# $Revision: 1.35.2.5 $, $Date: 2004/08/17 13:09:01 $
Summary:	Tools for creating and maintaining software RAID devices
Summary(pl):	Narzdzia do tworzenia i obsugi programowych macierzy RAID
Name:		raidtools
Version:	1.00.3
Release:	1
License:	GPL v2
Group:		Base
Source0:	http://people.redhat.com/mingo/raidtools/%{name}-%{version}.tar.gz
# Source0-md5:	cb41f8093cd7381ee07adb2951cc53fa
Patch1:		%{name}-fhs.patch
Patch2:		%{name}-cflags.patch
Patch3:		%{name}-help.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	popt-devel
Conflicts:	kernel < 2.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	md
Obsoletes:	md-tools
Obsoletes:	raidtools-static

%define		_sbindir	/sbin
%define		_whatstatic	raidstart mkraid mkpv

%description
This package includes the tools you need to set up and maintain a
software RAID device under Linux. It only works with Linux 2.2 kernels
and later, or 2.0 kernel specifically patched with newer raid support.

%description -l pl
Pakiet zawiera narzdzia potrzebne do konfiguracji i zarzdzania
programowymi macierzami RAID w Linuxie. Narzdzia te pracuj tylko z
jdrami Linuxa w wersji 2.2 lub nowszej (do 2.0 wymagane s patche).

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoheader}
%{__autoconf}
%configure

%{__make} \
	LDFLAGS="%{rpmldflags} -lpopt"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man{5,8}

%{__make} install_doc install_bin \
	ROOTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README *.sample Software-RAID.HOWTO/Software-RAID.HOWTO.txt raidreconf-HOWTO
%doc ideas newraidtab oldraidtab questions reconf.notes retry summary
%attr(755,root,root) %{_sbindir}/arytst
%attr(755,root,root) %{_sbindir}/detect_multipath
%attr(755,root,root) %{_sbindir}/lsraid
%attr(755,root,root) %{_sbindir}/mkraid
# Not existenz in new raidtools... needed? Don't think so...
#%attr(755,root,root) %{_sbindir}/mkpv
%attr(755,root,root) %{_sbindir}/raid0run
%attr(755,root,root) %{_sbindir}/raidstart
%attr(755,root,root) %{_sbindir}/raidstop
%attr(755,root,root) %{_sbindir}/raidhot*
%attr(755,root,root) %{_sbindir}/raidreconf
%attr(755,root,root) %{_sbindir}/raidsetfaulty

%{_mandir}/man5/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: raidtools.spec,v $
Revision 1.35.2.5  2004/08/17 13:09:01  blues
- added help patch

Revision 1.35.2.4  2004/08/17 13:02:34  blues
- more docs, license fix.

Revision 1.35.2.3  2004/08/17 12:09:55  blues
- finished

Revision 1.35.2.2  2004/08/17 12:01:59  blues
- resuscitated raidtools - there is new version of that... (maybe move it
 on HEAD too?)

Revision 1.35.2.1  2003/07/11 12:04:01  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.35  2002/03/18 09:19:45  malekith
- removed embed* defines

Revision 1.34  2002/03/05 17:11:14  marcus
- removed uclibc stuff
- rel.7.

Revision 1.33  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/02/19 18:53:35  gotar
- %desc

Revision 1.31  2002/01/22 22:32:42  qboosh
- typo

Revision 1.30  2002/01/22 08:40:05  qboosh
- moved %%clean

Revision 1.29  2002/01/22 08:38:53  qboosh
- reapplied lost changes: s/pld-list/feedback/, typos, BR: automake

Revision 1.28  2002/01/21 17:57:31  malekith
- rel 6
- embed -> BOOT

Revision 1.25  2001/08/07 12:06:50  malekith
- rel 5
- conditional BOOT with uClibc
- fixed install

Revision 1.24  2001/08/06 12:59:46  kloczek
- remove building static subpackage because bsp now handles initialize RAID.

Revision 1.23  2001/08/06 12:50:11  kloczek
- release 4.

Revision 1.22  2001/07/06 07:45:28  hunter
-added -BOOT, still confused a/ static path "/usr/lib/boot/.." should we change it into some {%_boot_path} ?

Revision 1.21  2001/07/05 17:19:01  kloczek
- added BuildRequires: glibc-static.

Revision 1.20  2001/07/05 17:13:21  wiget
don't include static progs in main package

Revision 1.19  2001/07/05 16:59:52  hunter

-prepared for -BOOT, added _whatstatic

Revision 1.18  2001/07/05 12:02:16  wiget
release 3; added -static subpackage with raidstart (for initrd)

Revision 1.17  2001/04/20 21:13:45  misiek
- fixed inconsistency between rc-scripts and this package (binaries in /sbin not in /usr/sbin)
- release 2

Revision 1.16  2001/01/02 09:07:43  kloczek
- added autoconf to BuildRequires.

Revision 1.15  2001/01/02 07:34:31  marcus
- new method versioning package (thanks to Michal Margula)
- deleted unneded %%define _sbin
- release 1

Revision 1.14  2001/01/01 22:23:16  kloczek
- spec adapterized,
- few cosmetics and simplifications.

Revision 1.13  2001/01/01 21:49:41  marcus
- added fhs,ia64,mntent patches from rawhide
- added cflags patch to use compile environment from rpm
- release 14

Revision 1.12  2000/06/13 20:29:08  kloczek
- spec adapterized.

Revision 1.11  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.10  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/05 15:06:00  mis
- Group: synced with PLD groups

Revision 1.8  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.7  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  1999/10/08 06:42:39  waszi
- Confilct: -> Conflicts:

Revision 1.5  1999/10/06 19:02:04  kloczek
- "Requires: kernel >= 2.2.0" changed to "Conflict: kernel < 2.2.0" to allow
  install raidtools without breaked dependences on system with kernel
  from not rpm package.

Revision 1.4  1999/10/06 18:59:03  kloczek
- simplifications in %build and %install,
- added amkefiel patch,
- COPYING file removed from %doc (clean Copyright statment is in Copyright
  field).

Revision 1.3  1999/10/05 08:42:20  waszi
- /dev/md* moved to dev package

Revision 1.2  1999/10/04 19:16:17  waszi
- rewrtied in PLD style

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

Based on spec from RedHat.
